.authorization {
	display: flex;
	flex-direction: column;
}
.authorization__back-button,
.authorization__footer-link {
	display: none;
}
.authorization__footer {
	margin-top: auto;
	padding: 16px;
	display: flex;
	flex-direction: column;
	background-color: var(--neutral-0000);
}

/* company-info */
.company-info {
	margin-bottom: 14px;
	padding: 6px 12px 6px 6px;
	display: flex;
	gap: 10px;
	background-color: var(--neutral-0050);
	box-shadow: inset 0 0 0 1px var(--neutral-0150);
	border-radius: 4px;
}
.company-info__avatar {
	--avatar-size: 48px;
	flex-shrink: 0;
	z-index: 1;
}
.company-info__title-group {
	width: 100%;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	justify-content: center;
	z-index: 1;
}
.company-info__title,
.company-info__subtitle {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}
.company-info__title {
	font-weight: var(--fw-500);
	font-size: 16px;
	line-height: 20px;
	color: var(--neutral-0900);
}
.company-info__subtitle {
	font-weight: var(--fw-400);
	font-size: 14px;
	line-height: 16px;
	color: var(--neutral-0700);
}
.company-info__subtitle span {
	color: var(--neutral-0400);
}

.authorization__modal {
	display: none;
	inset: auto;
	position: relative;
	transform: none;
}
.authorization__modal._show {
	display: block;
}

/* mail-services */
.mail-services {
	padding-top: 8px;
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 4px;
}
.mail-services p {
	margin-bottom: 4px;
	grid-column: 1 / -1;
	font-weight: var(--fw-400);
	font-size: 14px;
	line-height: 20px;
	color: var(--neutral-0600);
}
.mail-services a {
	padding: 6px;
	height: 42px;
	display: flex;
	justify-content: center;
	border-radius: 4px;
	background-color: var(--neutral-0050);
}
.mail-services a img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

@media (max-width: 767.98px) {
	.authorization__modal {
		border-radius: 0;
	}
	.company-info {
		margin: 16px 16px 4px;
	}
}
@media (min-width: 768px) {

	.authorization {
		height: 100dvh;
		background: url('../../images/authorization-bg.jpg') no-repeat center center / cover;
	}

	.authorization__back-button {
		--opacity: 0.84;

		position: absolute;
		top: 16px;
		left: 16px;

		width: fit-content;
		display: flex;
		padding: 6px 12px 6px 6px;
		background-color: var(--neutral-1000-012);
		border-radius: 4px;

		font-weight: var(--fw-500);
		font-size: 15px;
		line-height: 24px;
		color: var(--neutral-0000);
	}
	.authorization__back-button::before {
		content: '';
		display: block;
		width: 48px;
		height: 24px;
		background: url('../../images/i-authorization-back-button.svg') no-repeat center center;
		opacity: var(--opacity);
	}

	.authorization__modal-wrapper {
		display: flex;
		flex-direction: column;
		align-items: center;
		padding-top: 40px;
		overflow: hidden;
	}

	.authorization__footer {
		padding: 0;
		align-items: center;
		background-color: transparent;
	}
	.authorization__footer-button {
		display: none;
	}
	.authorization__footer-link {
		display: flex;
		padding: 8px;
		font-weight: var(--fw-500);
		font-size: 16px;
		line-height: 24px;
		text-align: center;
		color: var(--neutral-0000);
	}

	/* company-info */
	.company-info {
		padding: 0;
		width: 356px;
		position: relative;
		flex-direction: column;
		align-items: center;
		gap: 8px;
		background: none;
		box-shadow: none;
	}
	.company-info::after {
		content: '';
		position: absolute;
		top: 100%;
		transform: translateY(-50%);
		aspect-ratio: 1;
		width: 100%;
		border-radius: 50%;
		background-color: var(--neutral-1000-036);
		filter: blur(40px);
		pointer-events: none;
	}
	.company-info__avatar {
		border-radius: 4px;
	}
	.company-info__title {
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
		font-weight: var(--fw-600);
		font-size: 18px;
		line-height: 24px;
		color: var(--neutral-0000);
		text-align: center;
		white-space: normal;
	}
	.company-info__subtitle {
		color: var(--neutral-0000);
		text-align: center;
	}
	.company-info__subtitle span {
		color: var(--neutral-0000-048);
	}
}

@media (any-hover: hover) {
	.authorization__back-button:hover {
		--opacity: 1;
		background-color: var(--neutral-1000-036);
	}
	.mail-services a:hover {
		background-color: var(--neutral-0150);
	}
}
@media (any-hover: none) {
	.authorization__back-button:active {
		--opacity: 1;
		background-color: var(--neutral-1000-036);
	}
	.mail-services a:active {
		background-color: var(--neutral-0150);
	}
}
